# Namespace cif::gzio

## Classes

- Template Class basic_ifstream

- Template Class basic_igzip_streambuf

- Template Class basic_istream

- Template Class basic_ofstream

- Template Class basic_ogzip_streambuf

- Template Class basic_ostream

- Template Class basic_streambuf

## Typedefs

- Typedef cif::gzio::ifstream

- Typedef cif::gzio::istream

- Typedef cif::gzio::ofstream

## Variables

- Variable cif::gzio::kDefaultBufferSize